papers (51~alpha-0ubuntu1) stonking; urgency=medium

  * New upstream release
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 10 Jul 2026 14:53:26 +0200

papers (50.2-0ubuntu1) stonking; urgency=medium

  * New upstream release
  * d/p: Drop patch applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 23 Jun 2026 17:15:52 +0200

papers (50.1-0ubuntu2) stonking; urgency=medium

  * SECURITY UPDATE: code execution via argv injection
    - debian/patches/CVE-2026-46529.patch: shell: escape link arguments before
      spawning a new process in shell/src/application.rs.
    - CVE-2026-46529

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 May 2026 09:45:29 -0400

papers (50.1-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release
    - Fix crash when navigating empty search results
    - Correct zoom in odd left dual page mode
    - Fix text annotation displayed in wrong colors
    - Fix scroll in presentation mode with HiRes wheel mouse
    - Fix detecting checkboxes in document
  * d/p: Drop patches applied upstream
  * Update vendored rust crates
  * d/symbols: Add new symbol from version 50.1
  * d/rules: Exclude the entirety of debian/missing-sources from dh_clean
  * d/source/options: Set reduced list of tar-ignore, fix FTBFS
  * d/apparmor-profile: Allow reading local certificate database for signing
    (Closes: #1120163) (LP: #2106133)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 13 Apr 2026 11:15:38 +0200

papers (50.0-0ubuntu2) resolute; urgency=medium

  * d/p: Fix CRITICAL warnings in papers-previewer
  * d/p: Fix misleading cursor in annotation drawing mode
  * d/apparmor-profile: Add rules for running sandboxed glycin loaders
    (LP: #2147097)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 03 Apr 2026 15:44:16 +0200

papers (50.0-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Rebase patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Mar 2026 14:53:48 +0100

papers (50~beta-0ubuntu2) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - New upstream release 50~beta
      + d/control: Bump poppler
      + d/symbols: Add symbols from the new version
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
  * d/p: Do not force Adwaita Sans font

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 13:55:27 +0100

papers (49.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/control: Bump S-V to 4.7.3; no changes needed
  * Add patch to fix build (Closes: #1124189)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 15 Jan 2026 00:47:20 +0100

papers (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/control: Bump poppler
  * d/p/meson.build-fix-build-for-Debian.patch: Disable unnecessary patch
  * d/rules: Use gbp-export-orig in vendoring target
  * d/symbols: Add symbols from the new version
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 10:52:42 +0100

papers (49.2-3ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 10 Dec 2025 09:18:41 +0100

papers (49.2-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * debian/apparmor-profile: Allow GPU rendering on NVIDIA (LP: #2134437)
  * debian/apparmor-profile: Restrict gvfs access by owner

  [ Jeremy Bícha ]
  * Remove unnecessary Priority: optional field
  * Add Build-Depends: gir1.2-pango-1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 13:51:46 -0500

papers (49.2-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * debian/apparmor-profile: Allow opening remote files from gvfs
    (LP: #2101786, #2131583)

  [ Jeremy Bícha ]
  * Remove references to armel and mips64el
  * Remove obsolete dh_gnome_clean override
  * Salsa CI: Remove explicit disabling of reprotest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Dec 2025 19:06:16 -0500

papers (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
  * d/rules: Do not fail vendor target with no changes

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 03 Dec 2025 11:49:37 +0100

papers (49.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update Build-Depends
  * Mark papers-common as Multi-Arch: foreign
  * Move gi-docgen to Build-Depends-Indep
  * Remove Suggests: devhelp
  * Refresh patches

  [ Alessandro Astone ]
  * debian/apparmor-profile: Allow GPU rendering (LP: #2130422)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Nov 2025 21:44:44 -0500

papers (49.1-1ubuntu1) resolute; urgency=medium

  [ Alessandro Astone ]
  * Merge with Debian (LP: #2129791). Remaining changes:
    - Branch for Ubuntu
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
  * Drop dh-sequence-translations, included in dh-sequence-gnome
  * Automate XS-Vendored-Sources-Rust handling
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * Build-Depends: quilt

  [ Jeremy Bícha ]
  * Simplify handling exclusion of .a file
  * README.source: Remove the "general overview"
  * README.source: Add prerequisites
  * README.source: apply patches instead of discussing it
  * Use a custom vendor rule in debian/rules rather than in debian/README.source

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 31 Oct 2025 17:33:23 +0100

papers (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 08:50:42 -0400

papers (49.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Lower timeout for riscv64.
    The test completed in 2170 seconds, so 3600 seconds is hopefully enough

  [ Arnaud Ferraris ]
  * debian: port to oo7 v0.5
  * d/copyright: drop entries for no-longer-existing files
  * d/control: fix gobject-introspection dependency.
    Depending on `libgirepository1.0-dev` is no longer needed as long as we
    have a recent enough `gobject-introspection`, so we can use
    `deb-gir-tool` to locate and copy .gir files.
  * salsa-ci: disable reprotest.
    It is known to be flaky on Rust packages.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Oct 2025 21:58:10 +0200

papers (49.0-2) unstable; urgency=medium

  * Extend dh_auto_test timeout for riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Sep 2025 16:02:41 -0400

papers (49.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends (Closes: #1115796)
  * Rename library packages for soname bump
  * Update symbols files
  * Build with sysprof support
  * Add patch to avoid using rust-git-version: unnecessary and not in Debian
  * Add patch to use older rust-oo7
  * debian/papers.docs: NEWS → NEWS.md
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Sep 2025 23:49:51 -0400

papers (48.5-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/gbp.conf, d/watch: Only watch for 48.x for now.
    We'll track 48.x in testing/unstable for now, to get more testing
    for possible future trixie updates.
  * New upstream bugfix release 48.4
    - Only enable the digital signing action if the document format
      supports it
      (papers!581 upstream)
    - Correct the display of digital signatures: previously documents with
      valid signatures were shown as invalid and vice versa
      (papers!602 upstream)
    - When launched to open a file, open that file, instead of another copy of
      the same file that is already open
      (papers!585 upstream)
    - When entering presentation mode, don't start rendering until the window
      has reached its fullscreen size, fixing blurry rendering
      (papers#438 upstream)
    - Fix signing cursor changing unexpectedly before signatures
      (papers!533 upstream)
    - Format the last-modified annotation in the local time zone
      (papers#398 upstream)
    - Remove an unnecessary help page (papers#443 upstream)
    - Translation updates
    - macOS build/CI changes not relevant to Debian
  * New upstream bugfix release 48.5
    - Don't preview links after the cursor has already left the link
      (papers#465 upstream)
    - Allow link preview to happen more than once for the same link
      (papers#466 upstream)
    - Fix a translation issue when showing the number of pending
      print jobs (papers!625 upstream)
    - Ignore the scroll offset when drawing the signing area, so that it will
      be drawn in the correct place
      (papers!534 upstream)
    - When quitting the app, prompt to save documents with unsaved changes
      or for whether a pending print job should continue
    - Fix navigation between pages via internal links in continuous mode
      (papers#462 upstream)
    - Fix a focus issue (papers!612 upstream)
    - Improve selection performance
      (papers!591 upstream)
    - Fix assertion warnings during exit by removing all child widgets
      (papers!571 upstream)
    - Fix rendering of large pages when zoomed in (papers#432 upstream)
    - Fix incorrect #error messages when including single headers
    - Allow more than one character to be selected when using caret selection,
      typically with accessibility tools (papers#432 upstream)
    - Add missing newline to `papers --version` output
    - Correct scaling of selection (papers#458 upstream)
    - Linter fixes
    - Translation updates

 -- Matthias Geiger <werdahias@debian.org>  Thu, 14 Aug 2025 20:35:27 +0200

papers (48.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:54:42 -0400

papers (48.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 10:06:02 -0400

papers (48.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: dh-sequence-gnome
  * Salsa CI: stop disabling reproducibility check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 09:42:35 -0400

papers (48.0-2) unstable; urgency=medium

  * Re-enable gir regeneration

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 25 Mar 2025 16:40:30 -0400

papers (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Branch for Ubuntu
    - Add Build-Depends: dh-sequence-translations
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
    - Simplify debian/rules
  * Update vendored Rust crates etc.
  * Update debian/README.source to mention cargo-vendor-filterer

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 15:49:50 -0400

papers (48.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
  * Temporarily disable gir re-generation to bypass #1100054
  * Bump minimum poppler to 25.03
  * debian/*.symbols: Update
  * Remove unused lintian overrides
  * Update debian/copyright
  * Add patch to relax Rust dependencies to versions currently in Debian
  * Remove patch that attempted to lower poppler dependency
  * Update AppArmor syntax from #include to include

  [ Arnaud Ferraris ]
  * apparmor: Add mesa abstractions (Closes: #1098717)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 15:42:50 -0400

papers (48~beta-3ubuntu4) plucky; urgency=medium

  * debian/control.in: Build-Depend on dh-sequence-translations

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2025 15:46:09 +0100

papers (48~beta-3ubuntu3) plucky; urgency=medium

  * Add patch to change display name to Document Viewer.
    GNOME will make this change when they switch their default PDF app
    from Evince. Since we are switching early, let's change this now.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 18:36:13 -0400

papers (48~beta-3ubuntu2) plucky; urgency=medium

  * Disable Build-Depends unneeded for Ubuntu's build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 11:29:01 -0500

papers (48~beta-3ubuntu1) plucky; urgency=medium

  * Branch for Ubuntu
  * Add debian/.gitignore to avoid static libraries
  * Add patch to build with vendored crates
  * Disable patch unneeded by Ubuntu build
  * Vendor Rust crate build dependencies into debian/missing-sources/
    as required by current Ubuntu MIR policy
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * Simplify debian/rules
  * Update debian/copyright
  * Remove unused lintian overrides

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 22:48:40 -0500

papers (48~beta-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * debian: add salsa-ci.yml

  [ Jeremy Bícha ]
  * Run wrap-and-sort
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 21:06:33 -0500

papers (48~beta-2) experimental; urgency=medium

  * Remove mention of PostScript from the package description
  * Upload to experimental

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Feb 2025 07:18:58 -0500

papers (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & poppler
  * Add Build-Depends: libspelling-1-dev
  * Update symbols files
  * Add patch to lower poppler dependency to Debian's patched version
  * Remove disable appstream patch: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Feb 2025 23:57:56 -0500

papers (47.3-1) unstable; urgency=medium

  * New upstream release
  * Build with rust-env-logger 0.11
  * Remove 3 patches applied in new release
  * Add patch to disable appstream validate test that is currently failing

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 17:17:24 -0500

papers (47.0-1) unstable; urgency=medium

  * Rework packaging for Papers (evince fork)
  * Initial release (Closes: #1072679)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 19 Nov 2024 12:51:13 +0100

evince (45.0-2) unstable; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Release to unstable (Closes: #1062541)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:28:15 -0500

evince (45.0-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 21:20:15 +0000

evince (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 18:17:11 -0400

evince (45~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 08:51:08 -0400

evince (45~alpha-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 20:07:41 -0400

evince (45~alpha-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum poppler to 22.05
  * debian/control.in: Don't Build-Depend on adwaita-icon-theme
  * debian/evince.install: Drop long obsolete gconf migration file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 11:40:22 -0400

evince (44.3-3) unstable; urgency=high

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 13:46:39 -0400

evince (44.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:13:05 -0400

evince (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- jardon <jarred.wilson@canonical.com>  Wed, 12 Jul 2023 13:32:28 -0400

evince (44.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - data:
      + Fix years on 44.x releases
        (https://gitlab.gnome.org/GNOME/evince/-/issues/1950,
        Germán Poo-Caamaño)
    - shell:
      + Fix crash when instantiating .ui template
        (https://gitlab.gnome.org/GNOME/evince/-/issues/1930,
        Nelson Benítez León)
      + Fix restoring close button after fullscreen
        (https://gitlab.gnome.org/GNOME/evince/-/issues/1929,
        Nelson Benítez León)
  * Update standards version to 4.6.2, no changes needed

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 21 Jun 2023 00:39:39 -0400

evince (44.1-2) experimental; urgency=medium

  [ Georgia Garcia ]
  * Allow evince to spawn browsers distributed as snaps (LP: #1794064)
    - debian/apparmor-profile: include snap-browsers abstracted profile
      and allow transitions to them in evince
  * Note that this fix requires a corresponding change in apparmor

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 15:20:51 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libppsdocument-4.0-6`.
